package com.chinacreator.process.dao;

import java.util.List;
import org.springframework.stereotype.Component;
import com.chinacreator.process.bean.Tencent12Bean;
import com.chinacreator.process.util.DataSource;
import com.frameworkset.common.poolman.PreparedDBUtil;

@Component
public class Tencent12Dao {

	@SuppressWarnings("unchecked")
	public List<Tencent12Bean> queryUnSync(){
		String sql = "select orderid,action,channel,userid,usertype,userval,cpid,spid,syncstatus,orderstatus,vipstatus from TD_ASYN_ACTIVITY where SYNCSTATUS=1";
	    PreparedDBUtil pdb = new PreparedDBUtil();
	    try {
		      return pdb.executeSelectForList(DataSource.NET3G, sql, 0, 500, Tencent12Bean.class);
		    } catch (Exception e) {
		      e.printStackTrace();
		    }
		 return null;
	}
}
